//
//  EditItemViewController.m
//  Shopping List
//
//  Created by Fandi on 12/05/13.
//  Copyright (c) 2013 Gopang Labs. All rights reserved.
//

#import "EditItemViewController.h"
#import "Item.h"

@interface EditItemViewController ()
@property Item *item;
@property (weak) id<EditItemViewControllerDelegate> delegate;
@end

@implementation EditItemViewController

-(id) initWithItem:(Item *)item andDelegate:(id<EditItemViewControllerDelegate>)delegate {
    self = [super initWithNibName:@"EditItemViewController" bundle:nil];
    if (self) {
        // Custom initialization
        // Set Item
        self.item = item;
        // set delegate
        self.delegate = delegate;
    }
    return self;
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void) save:(id)sender {
    NSString *name = [self.nameTextField text];
    float price = [[self.priceTextField text] floatValue];
    // Update item
    [self.item setName:name];
    [self.item setPrice:price];
    // NOtify delegate
    [self.delegate controller:self didUpdateItem:self.item];
    // Pop View Controller
    [self.navigationController popViewControllerAnimated:YES];
    
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    //create save button
    self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemSave target:self action:@selector(save:)];
    // Do any additional setup after loading the view from its nib.
    if (self.item) {
        [self.nameTextField setText:self.item.name];
        [self.priceTextField setText:[NSString stringWithFormat:@"%f",self.item.price]];
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
