//
//  Item.m
//  Shopping List
//
//  Created by Fandi on 12/05/13.
//  Copyright (c) 2013 Gopang Labs. All rights reserved.
//

#import "Item.h"

@implementation Item
- (void)encodeWithCoder:(NSCoder *)encoder {
    [encoder encodeObject:self.uuid forKey:@"uuid"];
    [encoder encodeObject:self.name forKey:@"name"];
    [encoder encodeFloat:self.price forKey:@"price"];
    [encoder encodeBool:self.inShoppingList forKey:@"inShoppingList"];
}
- (id)initWithCoder:(NSCoder *)decoder {
    self = [super init];
    if (self) {
        [self setUuid:[decoder decodeObjectForKey:@"uuid"]];
        [self setName:[decoder decodeObjectForKey:@"name"]];
        [self setPrice:[decoder decodeFloatForKey:@"price"]];
        [self setInShoppingList:[decoder decodeBoolForKey:@"inShoppingList"]];
    }
    return self;
}

+(Item *)createItemWithName:(NSString *)name andPrice:(float)price {
    // Initialize Item
    Item *item = [[Item alloc] init];
    // Configure item
    [item setName:name];
    [item setPrice:price];
    [item setInShoppingList:NO];
    [item setUuid:[[NSUUID UUID] UUIDString]];
    return item;
}

@end
